Skip to main content
GET
/
v1
/
entities
/
search
Fuzzy entity discovery
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcmira.com/v1/entities/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.arcmira.com/v1/entities/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.arcmira.com/v1/entities/search \
--header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "numeric_id": 123,
      "name": "<string>",
      "slug": "<string>",
      "type": "<string>",
      "appearance_count": 0,
      "recommendations_summary": {
        "total_ad_reads": 123,
        "total_endorsements": 123,
        "unique_channels": 123
      }
    }
  ],
  "query": "<string>"
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string
required
Minimum string length: 2
type
enum<string>
Available options:
person,
organization,
product,
topic,
channel
has_recommendations_data
boolean
limit
integer
default:10
Required range: 1 <= x <= 25

Response

Success

data
object[]
required
query
string
required

The q parameter echoed back.